Post a test message to the slack channel - Gable Docs
Post a Test Message to the Slack Channel
cURL Example
curl --request POST \
--url https://demo-api.gable.ai/v0/slack/test \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"channelId": "<string>"
}
'
Python Example
import requests
url = "https://demo-api.gable.ai/v0/slack/test"
payload = { "channelId": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript Example
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({channelId: '<string>'})
};
fetch('https://demo-api.gable.ai/v0/slack/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo-api.gable.ai/v0/slack/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'channelId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo-api.gable.ai/v0/slack/test"
payload := strings.NewReader("{\n \"channelId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java Example
HttpResponse<String> response = Unirest.post("https://demo-api.gable.ai/v0/slack/test")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"channelId\": \"<string>\"\n}")
.asString();
Ruby Example
require 'uri'
require 'net/http'
url = URI("https://demo-api.gable.ai/v0/slack/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"channelId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body
Response
Successful Response (200)
{
"message": "<string>"
}
Error Response (500)
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
Authorization
X-API-KEY
- Type: string
- Location: header
- Required: true
Body
channelId
- Type: string
- Required: true
- Description: The slack channel id name to which the test message will be sent.